%define upstream_name    Pod-LaTeX
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Converts pod to latex with Pod::Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::ParseUtils) >= 0.300.0
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
'Pod::LaTeX' is a module to convert documentation in the Pod format into
Latex. The pod2latex command uses this module for translation.

'Pod::LaTeX' is a derived class from Pod::Select.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.610.0-15.mga9
+ Revision: 1805243
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.610.0-14.mga8
+ Revision: 1496695
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.610.0-13.mga7
+ Revision: 1270555
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.610.0-12.mga6
+ Revision: 1032314
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.610.0-11.mga6
+ Revision: 969944
- Mageia 6 Mass Rebuild

* Sat Sep 26 2015 danf <danf> 0.610.0-10.mga6
+ Revision: 883830
- Rebuild for new perl

* Sun Oct 19 2014 umeabot <umeabot> 0.610.0-9.mga5
+ Revision: 789271
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.610.0-8.mga5
+ Revision: 745212
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 danf <danf> 0.610.0-7.mga5
+ Revision: 738528
- Rebuild for new perl

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-6.mga5
+ Revision: 686008
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 pterjan <pterjan> 0.610.0-5.mga5
+ Revision: 634590
- Remove versioning, Pod::LaTeX is no longer a core module

* Fri Jun 06 2014 jquelin <jquelin> 0.610.0-4.mga5
+ Revision: 633956
- perl 5.20 rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.610.0-3.mga5
+ Revision: 588007
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.610.0-2.mga4
+ Revision: 526274
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.610.0-1.mga4
+ Revision: 436453
- update to 0.61

* Sun Jun 02 2013 jquelin <jquelin> 0.600.0-5.mga4
+ Revision: 434495
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.600.0-4.mga3
+ Revision: 405521
- perl 5.16.3 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.600.0-3.mga3
+ Revision: 403826
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 371912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 301392
- dual-lifed Pod::LaTeX
- imported package perl-Pod-LaTeX


* Mon Oct 01 2012 cpan2dist 0.60-1mga
- initial mageia release, generated with cpan2dist
